net.minecraftforge.liquids

## Class LiquidContainerRegistry

- java.lang.Object
- - net.minecraftforge.liquids.LiquidContainerRegistry

-     public class LiquidContainerRegistry
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BUCKET_VOLUME`
    `static ItemStack` | `EMPTY_BUCKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiquidContainerRegistry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `containsLiquid(ItemStack filledContainer, LiquidStack liquid)`
    `static ItemStack` | `fillLiquidContainer(LiquidStack liquid, ItemStack emptyContainer)`
    `static LiquidStack` | `getLiquidForFilledItem(ItemStack filledContainer)`
    `static LiquidContainerData[]` | `getRegisteredLiquidContainerData()`
    `static boolean` | `isBucket(ItemStack container)`
    `static boolean` | `isContainer(ItemStack container)`
    `static boolean` | `isEmptyContainer(ItemStack emptyContainer)`
    `static boolean` | `isFilledContainer(ItemStack filledContainer)`
    `static boolean` | `isLiquid(ItemStack item)`
    `static void` | `registerLiquid(LiquidContainerData data)` To register a container with a non-bucket size, the LiquidContainerData entry simply needs to use a size other than LiquidManager.BUCKET_VOLUME

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BUCKET_VOLUME

          public static final int BUCKET_VOLUME

      See Also:
        Constant Field Values

    - #### EMPTY_BUCKET

          public static final ItemStack EMPTY_BUCKET

  - ### Constructor Detail

    - #### LiquidContainerRegistry

          public LiquidContainerRegistry()

  - ### Method Detail

    - #### registerLiquid

          public static void registerLiquid(LiquidContainerData data)

      To register a container with a non-bucket size, the LiquidContainerData entry simply needs to use a size other than LiquidManager.BUCKET_VOLUME

    - #### getLiquidForFilledItem

          public static LiquidStack getLiquidForFilledItem(ItemStack filledContainer)

    - #### fillLiquidContainer

          public static ItemStack fillLiquidContainer(LiquidStack liquid,
                                      ItemStack emptyContainer)

    - #### containsLiquid

          public static boolean containsLiquid(ItemStack filledContainer,
                               LiquidStack liquid)

    - #### isBucket

          public static boolean isBucket(ItemStack container)

    - #### isContainer

          public static boolean isContainer(ItemStack container)

    - #### isEmptyContainer

          public static boolean isEmptyContainer(ItemStack emptyContainer)

    - #### isFilledContainer

          public static boolean isFilledContainer(ItemStack filledContainer)

    - #### isLiquid

          public static boolean isLiquid(ItemStack item)

    - #### getRegisteredLiquidContainerData

          public static LiquidContainerData[] getRegisteredLiquidContainerData()